MONGOC_APM_SET_SERVER_OPENING_CB(3)

NAME
mongoc_apm_set_server_opening_cb - mongoc_apm_set_server_opening_cb()

SYNOPSIS

typedef void (*mongoc_apm_server_opening_cb_t) (
   const mongoc_apm_server_opening_t *event);
void
mongoc_apm_set_server_opening_cb (mongoc_apm_callbacks_t *callbacks,
                                  mongoc_apm_server_opening_cb_t cb);

Receive an event notification whenever the driver adds a mongoc_server_description_t for a new server it was not monitoring before.

PARAMETERS

•   callbacks: A mongoc_apm_callbacks_t.

•   cb: A function to call with a mongoc_apm_server_opening_t whenever the driver adds a mongoc_server_description_t for a new server it was not monitoring before.

    SEE ALSO:
    Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc